/*------------------------------------------------------------------------------
* unit test driver : pointp
*-----------------------------------------------------------------------------*/
#include <stdio.h>
#include "readrnx.h"
#include "pointp.h"

int main(int argc, char **argv)
{
	int i,j;
	obs_t obs;
	nav_t nav;
	double rs[3*32],dts[32],azel[2*32],rr[3],dtr;
	
	if (argc<2) return 1;
	
	/* read rinex obs/nav */
	readrnx(argv+1,argc-1,&obs,&nav);
	
	for (i=0;i<obs.n;i=j) {
		
		/* extract same epoch obs */
		for (j=i+1;j<obs.n;j++) {
			if (timediff(obs.data[i].time,obs.data[j].time)<0.0) break;
		}
		/* satellite positions/clock-biases */
		satpos(obs.data+i,j-i,nav,rs,dts);
		
		/* point positioning */
		if (pointp(obs.data+i,j-i,rs,dts,nav.ion,rr,&dtr,azel)) continue;
		
		/* print receiver position and clock-bias */
		printf("%8.3f,%12.3f,%12.3f,%12.3f,%12.10f\n",time2sec(obs.data[i].time),
			   rr[0],rr[1],rr[2],dtr);
	}
	return 0;
}
